package ANEP;

/*
 * $Id: BadANEPversionException.java,v 1.3 1997/11/21 21:38:01 mwh Exp $
 * $Revision: 1.3 $
 *
 * Copyright 1997 by Carl A. Gunter, Mike Hicks, Pankaj Kakkar,
 * Jonathan Moore, Scott Nettles
 *
 */

public class BadANEPversionException extends Exception {
  private int version;
  private int curVersion;

  public BadANEPversionException( int version, int curVersion )
  { this.version = version; this.curVersion = curVersion; }

  public String toString() {
    return "Expected version "+curVersion+"; got version "+version;
  }
}
/*
 * $Log: BadANEPversionException.java,v $
 * Revision 1.3  1997/11/21 21:38:01  mwh
 * Fixed marshalling to respect network byte order.  Added additional
 * classes to support ANON.
 *
 *
 */
