package ANEP;

/*
 * $Id: DispatchPairList.java,v 1.2 1997/11/21 21:38:01 mwh Exp $
 * $Revision: 1.2 $
 *
 * Copyright 1997 by Carl A. Gunter, Mike Hicks, Pankaj Kakkar,
 * Jonathan Moore, Scott Nettles
 *
 */

class DispatchPairList {
  DispatchPair head;
  DispatchPairList tail;

  public DispatchPairList (DispatchPair t, DispatchPairList tl) 
  { head = t; tail = tl; }

  public DispatchPair head () { return head; }
  public DispatchPairList tail () { return tail; }
  
  public static DispatchPairList Cons (DispatchPair t, DispatchPairList tl) 
  { return new DispatchPairList (t, tl); }

  public static DispatchPairList Nil = null;

  public DispatchPair find (int type) throws PairNotFoundException {
    if (head.type == type)
      return head;
    else if (tail == null)
      throw new PairNotFoundException ();
    else return tail.find (type);
  }
}
/*
 * $Log: DispatchPairList.java,v $
 * Revision 1.2  1997/11/21 21:38:01  mwh
 * Fixed marshalling to respect network byte order.  Added additional
 * classes to support ANON.
 *
 *
 */
